    /*
     *  call-seq:
     *     term_doc_enum.seek_term_enum(term_enum) -> self
     *
     *  Seek the current term in +term_enum+. You could just use the standard seek
     *  method like this;
     *
     *    term_doc_enum.seek(term_enum.term)
     *
     *  However the +seek_term_enum+ method saves an index lookup so should offer
     *  a large performance improvement.
     */
    static VALUE
    frt_tde_seek_te(VALUE self, VALUE rterm_enum)
    {
        TermDocEnum *tde = (TermDocEnum *)DATA_PTR(self);
        TermEnum *te = (TermEnum *)frt_rb_data_ptr(rterm_enum);
        tde->seek_te(tde, te);
        return self;
    }